// Modal: Login / Register Form

.cd-user-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 3;
  overflow-y: auto;
  cursor: pointer;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s 0, visibility 0 0.3s;
  @include flex();
  .modal_bg {
    position: absolute;
    display: none;
    top: 5px;
    left: 0px;
    z-index: -1;
  }
}

.cd-user-modal.is-visible {
  visibility: visible;
  opacity: 1;
  transition: opacity 0.3s 0, visibility 0 0;

  .cd-user-modal-container {
    transform: translateY(0);
    background-image: url(../../img/modal_bg.png),
      linear-gradient(to right, #33bcec, #a784fd);
    background-position: top;
    background-repeat: repeat, no-repeat;
    background-size: auto, cover;
    box-shadow: 0px 25px 50px rgba(106, 133, 149, 0.5);
    border-radius: 30px;
    max-width: 400px;
    position: relative;
    width: 90%;
    cursor: auto;
    transition-property: transform;
    transition-duration: 0.3s;
    padding: 55px 40px 35px;

    .cd-switcher {
      margin-bottom: 40px;
      @include flex($justify: space-around);
      a {
        display: block;
        font-family: $font-primary;
        font-weight: 700;
        font-size: 18px;
        line-height: 21px;
        text-transform: uppercase;
        color: rgba(255, 255, 255, 0.5);
      }

      .selected {
        color: $secondary-color;
        margin-bottom: -7px;

        &::after {
          content: "";
          width: 100%;
          height: 3px;
          background: linear-gradient(
              262.06deg,
              #af1ae3 -11.14%,
              #b409c2 103.75%
            ),
            $secondary-color;
          display: table;
          clear: both;
          margin-top: 7px;
        }
      }
    }

    .cd-form {
      .fieldset {
        margin-bottom: 30px;
        position: relative;

        .cd-error-message {
          display: inline-block;
          position: absolute;
          margin-left: 15px;
          background: rgba(215, 102, 102, 0.9);
          padding: 1.14em;
          width: 185px;
          z-index: 2;
          font-size: 0.8125rem;
          border-radius: 0.25em;
          pointer-events: none;
          visibility: hidden;
          opacity: 0;
          transition: opacity 0.2s 0, visibility 0 0.2s;

          &::after {
            content: "";
            position: absolute;
            left: 22px;
            bottom: 100%;
            height: 0;
            width: 0;
          }
        }
      }
      .has-email::after {
        @include after_modal-icons;
        background-image: url(../../img/icons/email.png);
      }
      .has-password::after {
        @include after_modal-icons;
        background-image: url(../../img/icons/password.png);
      }
      .has-user::after {
        @include after_modal-icons;
        width: 25px;
        background-image: url(../../img/icons/user.png);
      }
      .cd-error-message.is-visible {
        opacity: 1;
        visibility: visible;
        transition: opacity 0.2s 0, visibility 0 0;
      }

      input {
        margin: 0;
        padding: 0;
        border-radius: 0.25em;
        &::placeholder {
          font-family: $font-primary;
          font-weight: 300;
          font-size: 18px;
          line-height: 21px;
          color: $secondary-color;
        }
      }

      input[type="password"] {
        padding-right: 65px;
      }

      input[type="submit"] {
        cursor: pointer;
        padding: 15px 55px;
        background: linear-gradient(
          262.06deg,
          #af1ae3 -11.14%,
          #b409c2 103.75%
        );
        box-shadow: 0px 4px 41px rgba(175, 26, 227, 0.4);
        border-radius: 50px;
        font-family: $font-primary;
        font-weight: 700;
        font-size: 18px;
        line-height: 21px;
        text-transform: uppercase;
        color: $secondary-color;
        border: none;
        appearance: none;
        margin-bottom: 20px;
      }

      .full-width {
        width: 100%;
        padding: 15px 50px;
      }

      .has-border {
        border: 3px solid rgba(255, 255, 255, 0.5);
        box-sizing: border-box;
        border-radius: 50px;
        background-color: unset;
        appearance: none;
        &:focus {
          border-color: rgba(255, 255, 255, 0.5);
          outline: none;
        }
      }
      .has-error {
        border: 1px solid #d76666;
      }
    }

    .cd-form-bottom-message {
      position: absolute;
      width: 100%;
      left: 0;
      bottom: 40px;
      text-align: center;
      a {
        font-family: $font-primary;
        font-weight: 300;
        font-size: 14px;
        line-height: 17px;
        text-align: center;
        color: $secondary-color;
        text-decoration: none;
      }
    }

    .cd-form-message {
      font-family: $font-primary;
      font-weight: 300;
      font-size: 17px;
      line-height: 17px;
      text-align: center;
      color: $secondary-color;
      text-decoration: none;
      margin-bottom: 25px;
    }

    .cd-close-form {
      display: block;
      position: absolute;
      width: 20px;
      height: 20px;
      right: 23px;
      top: 19px;
      z-index: 0;
      background: url("../../img/icons/close.png") no-repeat center center;
      text-indent: 100%;
      white-space: nowrap;
      overflow: hidden;
    }
  }
}

#cd-login,
#cd-signup,
#cd-reset-password {
  display: none;
}

#cd-login.is-selected,
#cd-signup.is-selected,
#cd-reset-password.is-selected {
  display: block;
}
